﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{37A8432D-98FA-4D5C-8A90-9DD7A52B9620}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>DAL</RootNamespace>
    <AssemblyName>DAL</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.0.0\lib\net45\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework.SqlServer, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.0.0\lib\net45\EntityFramework.SqlServer.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Acciones.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="BBDD.Context.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>BBDD.Context.tt</DependentUpon>
    </Compile>
    <Compile Include="BBDD.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="BBDD.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>BBDD.edmx</DependentUpon>
    </Compile>
    <Compile Include="Cines.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="Configuracion.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="dtproperties.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="Empresas.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="Funciones.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="FuncionesDetalle.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="Paginas.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="Pagos.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="Peliculas.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="Permisos.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="PermisosAcciones.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="PermisosPaginas.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Roles.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="RolesPermisos.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="sysdiagrams.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="Terminales.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="Usuarios.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="UsuariosCines.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="Variables.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
    <Compile Include="Ventas.cs">
      <DependentUpon>BBDD.tt</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.Config" />
    <EntityDeploy Include="BBDD.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>BBDD.Designer.cs</LastGenOutput>
    </EntityDeploy>
    <None Include="BBDD.edmx.diagram">
      <DependentUpon>BBDD.edmx</DependentUpon>
    </None>
    <None Include="packages.config">
      <SubType>Designer</SubType>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="BBDD.Context.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>BBDD.edmx</DependentUpon>
      <LastGenOutput>BBDD.Context.cs</LastGenOutput>
    </Content>
    <Content Include="BBDD.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>BBDD.edmx</DependentUpon>
      <LastGenOutput>BBDD.cs</LastGenOutput>
    </Content>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>